Table of Contents

Class: DomainQueuer | Twisted-0.19.0/twisted/mail/relay.py
--- | ---
An SMTP domain which add messages to a queue.
Methods |
--- | ---
__init__ exists startMessage willRelay
| __init__
    __init__ ( self,  service )
| exists
    exists (
            self,
            user,
            success,
            failure,
            )
### Check whether we will relay Call overridable willRelay method
| startMessage
    startMessage ( self,  user )
Add envelope to queue and returns ISMTPMessage.
| willRelay
    willRelay ( self,  protocol )
### Check whether we agree to relay The default is to relay for non-inet connections or for localhost inet connections. Note that this means we are an open IPv6 relay

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:48 2002 by HappyDoc version 2.0